YAPET_CONFIG(5)

NAME
yapet_config - format of YAPET configuration file

DESCRIPTION

yapet(1) reads the configuration file $HOME/.yapet if it exists unless a different file is specified by using the -r option (see yapet(1)). Options given on the command line override options given in a configuration file.

The configuration file has the following syntax:

    option=value

where option can be any of the following:

colors
    (String) Set custom colors. See yapet_colors(5) for more information.

load
    (String) The file to load upon start of yapet.

    Equivalent to providing a filename when invoking yapet.

    A ~ (tilde) sign as the first character of the pathname will be replaced by the home directory of the user running yapet.

    Default: not set

locktimeout
    (Integer) A positive integer specifying the time of inactivity in seconds until the screen is locked.

    Equivalent to providing the -t option when invoking yapet.

    Default: 600

pwinputtimeout
    (Integer) A positive integer specifying the time of inactivity in seconds until the password prompt for unlocking the screen will disappear.

    Default: 60

allowlockquit
    (Boolean) A value of true allows the user to quit yapet from the locked screen (if no changes are pending). A value of false prevents the user from quitting yapet when the screen is locked.

    Default: true

checkfsecurity
    (Boolean) A value of true enables the verification of the file owner and permissions when loading a file. A value of false disables the verification of the file owner and permissions when loading a file.

    Equivalent to providing the -S (same as true) or -s (same as false) options when invoking yapet.

    Default: true

pwgen_rng
    (String) The random number generator used to generate passwords. Possible values are

    devrandom
        Request using /dev/random. This is a high-quality random number generator. However, if the system lacks entropy, reading from this device may block, thus making yapet unresponsive.

    devurandom
        Request using /dev/urandom. This is a quality random number generator similar to /dev/random but not of the same quality.

        Using this random number generator will not block as opposite to /dev/random.

    lrand48
        Request using lrand48. This is a low-quality random number generator and should be used only if none of the above two random number generators are available.

    rand
        Request using rand. This is a last resort random number generator and should not be used.

    If the random number generator requested is not available on the system, yapet takes the next best random number generator.

    Default: devurandom

pwgen_pwlen
    (Integer) A positive integer greater than zero specifying the default password length used by the Password Generator Dialog.

    Default: 15

pwgen_letters
    (Boolean) A value of true will preselect the Letters check box of the Password Generator Dialog. false does not preselect the Letters check box.

    Default: true

pwgen_digits
    (Boolean) A value of true will preselect the Digits check box of the Password Generator Dialog. false does not preselect the Digits check box.

    Default: true

pwgen_punct
    (Boolean) A value of true will preselect the Punctuation check box of the Password Generator Dialog. false does not preselect the Punctuation check box.

    Default: true

pwgen_special
    (Boolean) A value of true will preselect the Special check box of the Password Generator Dialog. false does not preselect the Special check box.

    Default: true

pwgen_other
    (Boolean) A value of true will preselect Other check box of the Password Generator Dialog. false does not preselect the Other check box.

    Default: false

For Boolean values, 1, yes, true, enable, and enabled denote true. 0, false, no, disable, disabled denote false. Please note, Boolean values are case-sensitive.

See the section called “EXAMPLES” for examples of configuration files.

EXAMPLES

Example 1. Example of an yapet configuration file

    load=/home/joe/passwords
    locktimeout=300
    checkfsecurity=0
    pwgen_pwlen=8

In this example, the file /home/joe/passwords will be loaded upon invocation of yapet. The timeout until the screen is locked is set to 300 seconds. File permissions will not be verified.

The Password Generator Dialog will have preset the Password Length to 8 characters.

Example 2. Example of an yapet configuration file

    locktimeout=150
    checkfsecurity=yes
    pwgen_other=enable

In this example, no file will be automatically loaded upon invocation of yapet. The timeout until the screen is locked is set to 150 seconds. File permissions and owner will be verified.

The Password Generator Dialog will have preset the Other check box checked.

Example 3. Example 1 revisited

    load=~/passwords.pet
    locktimeout=300
    checkfsecurity=false
    pwgen_pwlen=8

This example has the same effect as Example 1, “Example of an yapet configuration file”. But instead of specifying the full path to the home directory, the ~ (tilde) sign is used, which is expanded to the home directory automatically. The .pet suffix can be specified, but if omitted it will be appended automatically.

FILES

$HOME/.yapet
    The per-user configuration file. If existing, options are read from this file but can be overridden by the command line options.

    Processing of this file can be disabled by invoking yapet with the -i option.

AUTHOR

Rafael Ostertag rafi@guengel.ch

SEE ALSO

yapet(1), yapet_colors(5)

COPYRIGHT
Copyright © 2008, 2009, 2010, 2011, 2013, 2014 Rafael Ostertag <rafi@guengel.ch>